PHP 5.4 på alle Linux-servere

Fra og med i dag er det muligt at benytte PHP 5.4.13 på alle Linux-webservere. Standarversionen er fortsat 5.3.21, således at ingen applikationer vil stoppe med at virke.

Den nye PHP-version tilføjer nogle store forandringer, som kan gavne din hjemmeside. En af de største er, at safe_mode-funktionaliteten nu er helt udfaset, og det samme gælder register_globals. Begge funktioner er allerede nu slået fra hos Surftown, men vi tillader stadig register_globals, hvis det aktiveres for et webhotel med en ældre PHP-version.

Med PHP 5.4.13 får du også mulighed for at anvende de nyeste udgaver af populære PHP-frameworks, som for eksempel Laravel. Med de nyeste udgaver er det muligt, at skabe endnu mere kraftfulde PHP-applikationer end tidligere.

Hvis du gerne vil anvende vores distribution af PHP 5.4.13, så skal du være opmærksom på at den indeholder færre moduler end vores PHP 5.3.21. Det betyder at noget kode måske vil stoppe med at virke, fordi modulerne ikke er i PHP-versionen.

Føler du dig alligevel sikker på at PHP 5.4.13 vil virke med din applikation, så er det ganske nemt at aktivere PHP 5.4.13. Det eneste du skal gøre er, at tilføje denne linje til din .htaccess-fil, i roden af webhoteller:

AddType application/x-httpd-php54 php